<template>
  <q-item>
    <q-item-section top class="col-2 gt-sm">
      <q-item-label class="q-mt-sm">{{ logline.code }} - {{ codes[logline.code] }}</q-item-label>
      <q-item-label caption lines="1">
        <span>ID: {{ logline.log_id }}</span>
      </q-item-label>
      <q-item-label caption lines="1">
        <span v-if="logline.session_id !== undefined"> Session: #{{ logline.session_id }}</span>
      </q-item-label>
    </q-item-section>

    <q-item-section top>
      <q-item-label lines="1">
        <span v-if="logline.key !== undefined" class="text-grey-8"> Tag: </span>
        <span v-if="logline.key !== undefined" class="text-weight-medium">{{ logline.key }}</span>
        <span v-if="logline.feed_id !== undefined" class="text-grey-8"> FeedId: </span>
        <span v-if="logline.feed_id !== undefined" class="text-weight-medium">{{ logline.feed_id }}</span>
        <span v-if="logline.code - 8103 < 3 && logline.code - 8103 >= 0" class="text-grey-8"> Session: </span>
        <span v-if="logline.code - 8103 < 3 && logline.code - 8103 >= 0" class="text-weight-medium">#{{ logline.session_id }}</span>
      </q-item-label>
      <q-item-label lines="1">
        <span v-if="logline.numeric !== undefined" class="text-grey-8"> Numeric: </span>
        <span v-if="logline.numeric !== undefined" class="text-weight-medium">{{ logline.numeric }}</span>
        <span v-if="logline.string !== undefined" class="text-grey-8"> String: </span>
        <span v-if="logline.string !== undefined" class="text-weight-medium">{{ logline.string }}</span>
        <q-item-label caption lines="1">
          <span v-if="logline.result !== undefined" > Feed result:{{ logline.result }} </span>
        </q-item-label>
      </q-item-label>
    </q-item-section>
  </q-item>
</template>
<script>

export default {
  name: 'LoglineItem',
  props: {
    logline: {
      type: Object
    }
  },
  data () {
    return {
      codes: {
        8202: 'PUSH_ACK',
        8203: 'PUSH_RESULT',
        19: 'PERIODIC_LOCATION_UPDATE',
        20: 'LOCATION_UPDATES',
        8103: 'SESSION_START',
        8104: 'SESSION_END',
        8105: 'SESSION_COMPLETE',
        8108: 'ACTIVITY_START',
        8109: 'ACTIVITY_END',
        8110: 'ACTIVITY_COMPLETE',
        8112: 'USER_DISABLES_LOCATION',
        8050: 'DEVICE_TIMEZONE',
        8051: 'HEARTBEAT',
        8052: 'CLIENT_UPGRADE',
        8997: 'INCREMENT_TAG',
        8998: 'DELETE_CUSTOM_TAG',
        8999: 'UPDATE_CUSTOM_TAG',
        8200: 'FEED_ACK',
        8201: 'FEED_RESULT'
      }
    }
  }
}
</script>
